function writePWMValues(sensorGloveCtl, pwdValues)
    %fprintf(sensorGloveCtl,'%s','w,0,0,0,0,0x');
    
    if isempty(pwdValues)
        return;
    end
    
    if 1==1
        %non-blocking async write
        cmd = ['w,' ...
            num2str(pwdValues(1)) ',' ...
            num2str(pwdValues(2)) ',' ...
            num2str(pwdValues(3)) ',' ...
            num2str(pwdValues(4)) ',' ...
            num2str(pwdValues(5)) 'x'];
        fwrite(sensorGloveCtl, cmd);
        
    else
        %blocking write
        fwrite(sensorGloveCtl, 'w','uint8','sync');
        for i=1:length(pwdValues)
           fwrite(sensorGloveCtl, ',','uint8','sync'); 
           strPwm = num2str(pwdValues(i));
           for cId=1:length(strPwm)
               fwrite(sensorGloveCtl, strPwm(cId),'uint8','sync'); 
           end
        end
        fwrite(sensorGloveCtl, 'x','uint8','sync');
    end
end